- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# ActivateCutSceneCommand Class Reference

`#include <Command.h>`

Inheritance diagram for ActivateCutSceneCommand:

List of all members.

## Public Member Functions
| ActivateCutSceneCommand (CutScene *cutScene)
| ActivateCutSceneCommand (List *command)
void | execute ()
std::string | getString ()
## Static Public Member Functions
static std::string | id ()
## Private Attributes
std::string | _cutScene
## Static Private Attributes
static const std::string | _id = "activateCutScene"

## Detailed Description

Definition at line 483 of file Command.h.

## Constructor & Destructor Documentation

ActivateCutSceneCommand::ActivateCutSceneCommand | ( | CutScene * | cutScene | ) |

| Definition at line 12 of file ActivateCutSceneCommand.cpp.

ActivateCutSceneCommand::ActivateCutSceneCommand | ( | List * | command | ) |

| Definition at line 18 of file ActivateCutSceneCommand.cpp. References _cutScene, List::firstString(), and List::rest().

## Member Function Documentation

void ActivateCutSceneCommand::execute | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 24 of file ActivateCutSceneCommand.cpp. References _cutScene, Level::getObject(), and Level::instance().

std::string ActivateCutSceneCommand::getString | ( |  | ) | `[virtual]`

| Implements Command. Definition at line 29 of file ActivateCutSceneCommand.cpp. References _cutScene, _id, List::getString(), and List::snoc().

static std::string ActivateCutSceneCommand::id | ( |  | ) | `[inline, static]`

| Definition at line 491 of file Command.h. References _id. Referenced by Command::loadCommand().

## Member Data Documentation

std::string ActivateCutSceneCommand::_cutScene`[private]`

| Definition at line 493 of file Command.h. Referenced by ActivateCutSceneCommand(), execute(), and getString().

const std::string ActivateCutSceneCommand::_id = "activateCutScene"`[static, private]`

| Definition at line 495 of file Command.h. Referenced by getString(), and id().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Command.h
- C:/Documents and Settings/jegan/Desktop/projectX/ActivateCutSceneCommand.cpp